Get Dcat Catalog
GET
/datasets/dcat/
const url = 'https://example.com/datasets/dcat/?limit=10000&offset=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/datasets/dcat/?limit=10000&offset=0'DCAT 3 JSON-LD catalog feed. Respects dataset visibility.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” limit
Limit
Max datasets in this page (default = max).
integer
Max datasets in this page (default = max).
offset
Offset
Datasets to skip — page a catalog larger than one page.
integer
Datasets to skip — page a catalog larger than one page.
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleBad request — invalid query parameters or payload
Media type application/problem+json
Not found
Media type application/problem+json
Too many requests — retry after the advertised interval
Media type application/problem+json
Headers
Section titled “Headers ” Retry-After
integer
Seconds until the request may be retried
Internal server error
Media type application/problem+json
Service unavailable — the database could not serve the request
Media type application/problem+json